JTAlert 2.60.3 Download

JTAlert requires the
.NET 6 Desktop Runtime

JTAlert 2.60.0 and later require the .NET 6 Desktop Runtime to be installed on the PC running JTAlert. The Desktop Runtime is required to be installed once only, after which Windows will automatically keep it updated as part of its periodic security updates mechanism.

The correct 64bit (x64) or 32bit (x86) version needs to be installed, matching your Windows OS architecture

Download 64bit windowsdesktop-runtime-6.0.11-win-x64.exe

Download 32bit windowsdesktop-runtime-6.0.11-win-x86.exe

JTAlert 2.60.3    [Software License]    [Release Notes]

Problem solving

If you experience problems or have questions post a message to the HamApps support group.
Please start a new message with a subject line that reflects the question or problem.

Old Versions